import 'package:Straznik/widgets/tutorial_widgets/InfoDialogBox.dart';
import 'package:flutter/material.dart';


class Dialogs extends StatefulWidget {
  final String title;
  final String description;

  Dialogs(this.title, this.description);

  @override
  _DialogsState createState() => _DialogsState();
}

class _DialogsState extends State<Dialogs> {
  @override
  Widget build(BuildContext context) {
    return Semantics(
      label: 'Logotyp aplikacji Strażnik',
      hint: "Kliknij aby wyświetlić informacje o aktywnym oknie.",
      focusable: false,
      readOnly: true,
      child: ExcludeSemantics(
        child: InkWell(
          onTap: (){
            showDialog(context: context,
                builder: (BuildContext context){
                  return InfoDialogBox(
                    title: widget.title,
                    descriptions: widget.description,
                    text: "Zamknij",
                  );
                }
            );
          },
          child: Image.asset(
            'assets/strazniklogo.png',
            fit: BoxFit.cover,
            height: 70.0,
          ),
        ),
      ),
    );
  }
}